#!==================================================================================
#! Add support for CaptStdOut to APP files.
#!==================================================================================
#!
#TEMPLATE (CaptStdOutTPL, 'Capture StdOut support template.'),FAMILY('ABC'),Family('cw20')
#!
#EXTENSION(AddCaptStdOut,'add support for CaptStdOut'),APPLICATION
#DISPLAY(' ')
#DISPLAY('Enable support for CaptStdOut Source class')
#DISPLAY(' ')
#PROMPT('Disable adding class to App?',CHECK),%DisbleStringClass,DEFAULT(0),AT(10)
#!
#AT(%BeforeGenerateApplication),WHERE(NOT %DisbleStringClass AND VarExists(%ABCVersion))
#!
  #ADD(%GlobalIncludeList,'CaptStdOut.inc')
  #CALL(%AddCategory(ABC), 'RSMCLASSES')
  #CALL(%SetCategoryLocationFromPrompts(ABC), 'RSMCLASSES', 'RSMCLASSES', '')
  #CALL(%ReadABCFiles(ABC))
#ENDAT

#AT(%CustomGlobalDeclarations),WHERE(NOT %DisbleStringClass AND NOT VarExists(%ABCVersion))
#!NOTE: In Legacy mode we need to link the classes in directly
#!      because there is no DLL that is exporting all the classes.
     #PDEFINE('_RSMCLASSESLINKMode_',1)
     #PDEFINE('_RSMCLASSESDLLMode_',0)
#ENDAT
#AT(%AfterGlobalIncludes),WHERE(NOT %DisbleStringClass AND NOT VarExists(%ABCVersion))
  INCLUDE('CaptStdOut.INC'),ONCE
#ENDAT
